Contributed opensuse driver

Bug #1622949 reported by yatin on 2016-09-13
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Magnum
In Progress
Wishlist
yatin

Bug Description

strigazi: In this bug we can track changes related to the opensuse driver which is not maintained by the magnum team at this point until it reaches a level of maturity.
* Please contact the original author: Michal Jura <email address hidden> to
  sync the effort on this driver.
* there are no unit or functional tests for this driver, so it is
  expected that you have tested the driver extensively.
* prefix commit titles with [suse] or suse:
-------------------------------------------------------------------------

Lot of changes are going on all driver since few months but opensuse driver is not aligned with them.
Though it is not fully functional but it should be aligned as much as it can so that in next cycle if required it can be moved with other drivers,
some changes that i identified not included are as follows:-

opensuse Image is currently prepared using kiwi, reference:- https://build.opensuse.org/package/show/home:mjura:branches:Cloud:Images:Leap_42.1/openSUSE-Leap-42.1-OpenStack-K8s-Guest
Opensuse is included with following patch: https://review.openstack.org/#/c/349994/

1. Sync heat template version: Done
2. Remove unnecessary/Invalid files(Like templates/Readme.Md, COPYING etc)
3. Rather than driver specific user, use Image user only for login to cluster Machines.
4. Change the type of flannel_network_subnetlen to 'number': Under review:https://review.openstack.org/#/c/369318/
5. rename bay parameters to cluster: Done
6. Add proxy(http_proxy,https_proxy,no_proxy) support: Under review: https://review.openstack.org/#/c/370544/
7. Fix OS::stack_id is set as stack id instead of private ip: Done
8. Decouple LBaaS: support for master_lb_enabled
9. Include LBaaS v2 changes
10. Include TLS
11. support: enable/disable floating ip for cluster
12. CI Integration
13. Some nits, grammar, etc ex sync name kubernetes_openstack_config with other drivers as kube_openstack_config, k8s parameters _ --> -
14. Include version info in bay/cluster show operation
15. Add support for optional private network
16. Sync with cluster drivers bp
17. Allow override of keypair with cluster-create(seems will be enabled by default)
18. Add support cinder volume driver
19. secure etcd cluster

Other missings can be added/corrected with time.

yatin (yatinkarel) on 2016-09-13
Changed in magnum:
assignee: nobody → yatin (yatinkarel)

Fix proposed to branch: master
Review: https://review.openstack.org/369318

Changed in magnum:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/369999

Fix proposed to branch: master
Review: https://review.openstack.org/370013

Changed in magnum:
importance: Undecided → Wishlist
summary: - Sync opensuse driver with other latest changes in other drivers
+ Contributed opensuse driver
description: updated
description: updated

Reviewed: https://review.openstack.org/370013
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=735db5401af2060fb39c9492cf130f699aac1ef5
Submitter: Jenkins
Branch: master

commit 735db5401af2060fb39c9492cf130f699aac1ef5
Author: yatin <email address hidden>
Date: Wed Sep 14 15:57:40 2016 +0530

    [suse] Rename bay to cluster

    Change-Id: If09e50508c26b8f489a55b9b5453c2ae5744e672
    Implements: blueprint rename-bay-to-cluster
    Partial-Bug: #1622949

yatin (yatinkarel) on 2016-09-15
description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/370546

Reviewed: https://review.openstack.org/370546
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=8beab883e6c4fe34dce8338a5ba7b7d197154d56
Submitter: Jenkins
Branch: master

commit 8beab883e6c4fe34dce8338a5ba7b7d197154d56
Author: yatin <email address hidden>
Date: Thu Sep 15 11:16:35 2016 +0530

    [suse] Fix OS::stack_id in kubeminion

    OS::stack_id is currently set to kubeminion private ip. With this
    patch it now refers to OS::stack_id.

    Change-Id: I5695801f73a7e29aa0ce9909e1203764fe12b105
    Partial-Bug: #1622949

Reviewed: https://review.openstack.org/369999
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=b0bcbecc5d4cbc0dc37a5fa4d1de536cac1b4c84
Submitter: Jenkins
Branch: master

commit b0bcbecc5d4cbc0dc37a5fa4d1de536cac1b4c84
Author: yatin <email address hidden>
Date: Wed Sep 14 15:42:47 2016 +0530

    [suse] Sync heat template version with other drivers

    Updated heat template version to 2014-10-16 to sync with other
    cluster drivers.

    Change-Id: I26fc5b915a62bc839abcc3bf6a1f59dcf8f10060
    Partial-Bug: #1622949

yatin (yatinkarel) on 2016-10-13
description: updated
yatin (yatinkarel) on 2016-10-13
description: updated
yatin (yatinkarel) on 2016-10-13
description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/389536

Reviewed: https://review.openstack.org/369318
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=82dc0eb69b0df136f2ba4393c10c6c48f766f9c4
Submitter: Jenkins
Branch: master

commit 82dc0eb69b0df136f2ba4393c10c6c48f766f9c4
Author: yatin <email address hidden>
Date: Tue Sep 13 15:51:11 2016 +0530

    Change the type of flannel_network_subnetlen to 'number'

    Parameter: 'flannel_network_subnetlen' is currently defined as string for
    opensuse driver. With this patch flannel_network_subnetlen is changed
    to 'number'.

    Change-Id: I1bddca23029a448a8bed490c3a37a97e41cc1414
    Partial-Bug: #1622949

Fix proposed to branch: master
Review: https://review.openstack.org/397743

Changed in magnum:
assignee: yatin (yatinkarel) → Michal Jura (mjura)

Fix proposed to branch: master
Review: https://review.openstack.org/400842

Changed in magnum:
assignee: Michal Jura (mjura) → yatin (yatinkarel)

Reviewed: https://review.openstack.org/389536
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=15a053d4a88108d082e67c0160e60710a46bcd1e
Submitter: Jenkins
Branch: master

commit 15a053d4a88108d082e67c0160e60710a46bcd1e
Author: yatin <email address hidden>
Date: Fri Oct 21 09:59:59 2016 +0530

    [suse] Sync with cluster drivers

    Change-Id: I0618a5d8be4c33e78d5295edca2f42e778e4a726
    Partial-Bug: #1622949

Reviewed: https://review.openstack.org/370544
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=29ca63097854e6227a678e8c4df65be33a61e426
Submitter: Jenkins
Branch: master

commit 29ca63097854e6227a678e8c4df65be33a61e426
Author: yatin <email address hidden>
Date: Thu Sep 15 11:06:25 2016 +0530

    [suse] Add proxy config

    Support of proxy for docker was missing in suse k8s
    driver, added support of proxy with this patch.

    Change-Id: I1dae1177f48a6c770df836e13384f0a9fb7774fc
    Partial-Bug: #1622949

Reviewed: https://review.openstack.org/385803
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=c00d197954875ebd4b5900ada1923e39a8e735e3
Submitter: Jenkins
Branch: master

commit c00d197954875ebd4b5900ada1923e39a8e735e3
Author: yatin <email address hidden>
Date: Thu Oct 13 12:59:25 2016 +0530

    [suse] add support of LBaaS v2

    Add support of LBaaS v2 to suse k8s driver.
    This patch also allows suse k8s cluster to be created
    without enabling LBaaS.

    Change-Id: I5de4059aa1185973be1c556a4b7565c62f76f9f9
    Partial-Bug: #1622949

Changed in magnum:
assignee: yatin (yatinkarel) → Michal Jura (mjura)

Fix proposed to branch: master
Review: https://review.openstack.org/411857

Fix proposed to branch: master
Review: https://review.openstack.org/411859

Fix proposed to branch: master
Review: https://review.openstack.org/411862

Fix proposed to branch: master
Review: https://review.openstack.org/411863

Fix proposed to branch: master
Review: https://review.openstack.org/411865

Fix proposed to branch: master
Review: https://review.openstack.org/411866

yatin (yatinkarel) on 2016-12-29
description: updated
Changed in magnum:
assignee: Michal Jura (mjura) → yatin (yatinkarel)

Reviewed: https://review.openstack.org/411865
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=df37275fe1cdb02a87671a4833739cffbd29eb8c
Submitter: Jenkins
Branch: master

commit df37275fe1cdb02a87671a4833739cffbd29eb8c
Author: Michal Jura <email address hidden>
Date: Mon Nov 28 14:00:51 2016 +0100

    [suse] Setting correct permissions for Kubernetes files

    Change-Id: I595dfa66fb37b733bf50b18f52f7b124aa96906b
    Partial-Bug: #1622949

Changed in magnum:
assignee: yatin (yatinkarel) → Michal Jura (mjura)
Changed in magnum:
assignee: Michal Jura (mjura) → yatin (yatinkarel)

Reviewed: https://review.openstack.org/411859
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=0b1c59b21bdbb2b00ef7f1c7e845b947bcd1f825
Submitter: Jenkins
Branch: master

commit 0b1c59b21bdbb2b00ef7f1c7e845b947bcd1f825
Author: Michal Jura <email address hidden>
Date: Fri Nov 25 11:19:35 2016 +0100

    [suse] Tune default value for docker_volume_size

    Change-Id: I88fa0a21bef34cdca2284ec22f1759736762509f
    Partial-Bug: #1622949

Reviewed: https://review.openstack.org/400842
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=07a68dcd95ba6e70a221201e1482736ae1d3a6b0
Submitter: Jenkins
Branch: master

commit 07a68dcd95ba6e70a221201e1482736ae1d3a6b0
Author: Michal Jura <email address hidden>
Date: Tue Nov 22 17:02:26 2016 +0100

    [suse] Update k8s_opensuse_v1 driver

    This change is collecting fixes and updates for k8s_opensuse_v1 drver
      * Fix indentation for bash scripts
      * Fix DOCKER_NETWORK_OPTIONS for configure-docker.sh
      * Add FLANNEL_BACKEND option
      * Update deprecated options for kubernetes services
      * Fix KUBE_NODE_IP option for kube-minions
      * Add kube_version and volume_driver options
      * Sync changes with opensuse Mitaka driver

    Change-Id: I33bf90331ff78ed538a55451f6de64c4a576cb2d
    Partial-Bug: #1622949
    Partially-Implements: blueprint k8s-opensuse-support

Changed in magnum:
assignee: yatin (yatinkarel) → Michal Jura (mjura)

Reviewed: https://review.openstack.org/411856
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=d7ed87e9aeb5f8763b73b5eba5af28af1b69416e
Submitter: Jenkins
Branch: master

commit d7ed87e9aeb5f8763b73b5eba5af28af1b69416e
Author: Michal Jura <email address hidden>
Date: Fri Nov 25 11:15:22 2016 +0100

    [suse] Add min and max to flannel_network_subnet option

    Change-Id: I7d5e9a545b9996e0036cd685fea52573416bd82f
    Partial-Bug: #1622949

Reviewed: https://review.openstack.org/411857
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=b28218f3dfd38fe3cbea846dad378a1a426c349a
Submitter: Jenkins
Branch: master

commit b28218f3dfd38fe3cbea846dad378a1a426c349a
Author: Michal Jura <email address hidden>
Date: Fri Nov 25 11:16:32 2016 +0100

    [suse] Update security group for kube_masters

    We would like to open following ports on kube_master:
      - for debug handlers kubectl exec and kubectl run commands
          protocol: tcp, port: 10250
      - for application service
          protocol: tcp, port_range: 30000 to 32767
      - for flanneld udp and vxlan backend
          protocol: udp, port: 8285 and port: 8472

    Change-Id: Ie40e5c90c0b246960ff94b917f285a810120c340
    Partial-Bug: #1622949

Changed in magnum:
assignee: Michal Jura (mjura) → Adrian Otto (aotto)
Adrian Otto (aotto) wrote :

Michael,

To be sure I understand the intent of being set as the Assignee on this bug, you are seeking my oversight into the status of the driver so we know when to consider moving it into tree? If not, was there another motivation?

Thanks,

Adrian

description: updated

Reviewed: https://review.openstack.org/411863
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=43bec106c7ea5d9ce672ef3ddb5580a08566bb15
Submitter: Jenkins
Branch: master

commit 43bec106c7ea5d9ce672ef3ddb5580a08566bb15
Author: Michal Jura <email address hidden>
Date: Fri Nov 25 14:24:59 2016 +0100

    [suse] Add SERVICE_ACCOUNT_KEY to Kuberneres cluster configuration

    Change-Id: I18d6598e2f4b68ae7a672b794023e7408b7f8696
    Partial-Bug: #1622949

Changed in magnum:
assignee: Adrian Otto (aotto) → Michal Jura (mjura)
Changed in magnum:
assignee: Michal Jura (mjura) → Sayali Lunkad (sayalilunkad)
Changed in magnum:
assignee: Sayali Lunkad (sayalilunkad) → yatin (yatinkarel)

Reviewed: https://review.openstack.org/411866
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=eb67a76b9c374012eca399e21c75ecf004dc51f7
Submitter: Jenkins
Branch: master

commit eb67a76b9c374012eca399e21c75ecf004dc51f7
Author: Michal Jura <email address hidden>
Date: Tue Nov 29 15:26:33 2016 +0100

    [suse] Remove defaults network from child templates

    We would like to remove default values for network configuration
    from child templates.

    Change-Id: I2e24c55d7a0188a0e1e0c82cc1fbea2e79b800ca
    Partial-Bug: #1622949

Changed in magnum:
assignee: yatin (yatinkarel) → Sayali Lunkad (sayalilunkad)
Changed in magnum:
assignee: Sayali Lunkad (sayalilunkad) → Spyros Trigazis (strigazi)

Reviewed: https://review.openstack.org/397743
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=902f77a4aeedd5a09d91a364c22ee714c36a13c7
Submitter: Jenkins
Branch: master

commit 902f77a4aeedd5a09d91a364c22ee714c36a13c7
Author: Michal Jura <email address hidden>
Date: Tue Nov 15 14:07:00 2016 +0100

    [suse] Build openSUSE Leap 42.1 OpenStack Magnum image

    Add information on how to build openSUSE Leap 42.1 image for
    OpenStack Magnum with Kubernetes packages.

    Change-Id: Ia53b79f14cb5f70b10d81bc13cae32232adca2a9
    Partial-Bug: #1622949

Reviewed: https://review.openstack.org/411869
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=1e2112def571dd23803399cec0dc186e8d6babfa
Submitter: Jenkins
Branch: master

commit 1e2112def571dd23803399cec0dc186e8d6babfa
Author: Michal Jura <email address hidden>
Date: Mon Dec 5 16:06:42 2016 +0100

    [suse] Add TLS support for k8s_opensuse_v1 driver

    Partial-bug: #1622949
    Change-Id: I4e8e8bddd8456c83f1bf1719256ddfca5a2723c4

Changed in magnum:
assignee: Spyros Trigazis (strigazi) → yatin (yatinkarel)

Change abandoned by Feilong Wang (<email address hidden>) on branch: master
Review: https://review.opendev.org/411862
Reason: Hi, I'm going to abandon this by doing an overall project cleanup. Please feel free to reopen this. Thanks.

Change abandoned by Bharat Kunwar (<email address hidden>) on branch: master
Review: https://review.opendev.org/411867
Reason: The magnum team is cleaning the backlog of patches and stories. If you still face this issue and you want to work on it please reopen.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers